#!/bin/bash

# Docker 컨테이너 이름 설정
CONTAINER_NAME="palworld-server"
CONTAINER_DIR="/home/serverfile"

# 서버 종료 전에 알림을 사용자에게 보내기
docker exec -i $CONTAINER_NAME rcon-cli "Broadcast 60 seconds until the server restarts. Please log out for a safe shutdown."

# 50초 대기
sleep 50

# 세이브&백업
docker exec -i $CONTAINER_NAME backup

# 서버 종료
docker exec -i $CONTAINER_NAME rcon-cli "Broadcast The server will restart in 10 seconds."

# 10초 대기
sleep 10

# Docker 이미지 업데이트
cd $CONTAINER_DIR
docker-compose pull
docker-compose down
docker-compose up -d

# 업데이트 완료 메시지
echo "서버가 성공적으로 업데이트되었습니다."